注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

being23

写给未来的自己

 
 
 

日志

 
 
关于我

真正的坚定,就是找到力量去做自己喜欢的事情,并为之努力,这样才会觉得生活是幸福的。

网易考拉推荐

linux 安装 pycurl  

2015-05-06 18:34:10|  分类: work@oppo |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

pip 安装 pycurl 失败,手动安装

下载 curl

wget http://www.magicermine.com/demos/curl/curl/sources/curl-7.30.0.tar.gz

安装

  • configure
  • make
  • make install

下载 pycurl

wget https://pypi.python.org/packages/source/p/pycurl/pycurl-7.19.5.1.tar.gz#md5=f44cd54256d7a643ab7b16e3f409b26b

安装

python setup.py install --curl-config=/usr/local/bin/curl-config

问题

>>> import pycurl
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ImportError: pycurl: libcurl link-time version (7.19.7) is older than compile-time version (7.30.0)

解决

将链接由之前的libcurl.so.4.1.1改成libcurl.so.4.3.0

libcurl.so.4.3.0拷贝到目录/usr/lib64,再改下软连接

cp /usr/local/lib/libcurl.so.4.3.0 /usr/lib64/
ln -sf libcurl.so.4.3.0  libcurl.so.4
2015.05.06@迈科龙
  评论这张
 
阅读(115)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017